# Visualization Library

A lightweight C++ OpenGL middleware for 2D/3D graphics

[Home] [Tutorials] [All Classes] [Grouped Classes]

Public Member Functions | Protected Member Functions | Protected Attributes

# vl::FBOColorBufferAttachment Class Reference

A color renderbuffer to be attached to a FramebufferObject. More...

`#include <FramebufferObject.hpp>`

Inheritance diagram for vl::FBOColorBufferAttachment:

List of all members.

## Public Member Functions

| FBOColorBufferAttachment (EColorBufferFormat type=CBF_RGBA)
| Constructor.
void | setType (EColorBufferFormat type)
| The type to specify when allocating the renderbuffer storage.
EColorBufferFormat | type () const
| The type to specify when allocating the renderbuffer storage.

## Protected Member Functions

virtual int | internalType ()

## Protected Attributes

EColorBufferFormat | mType

## Detailed Description

A color renderbuffer to be attached to a FramebufferObject.

Definition at line 188 of file FramebufferObject.hpp.

## Constructor & Destructor Documentation

vl::FBOColorBufferAttachment::FBOColorBufferAttachment | ( | EColorBufferFormat | type = `CBF_RGBA` ) | `[inline]`

Constructor.

Definition at line 194 of file FramebufferObject.hpp.

References VL_DEBUG_SET_OBJECT_NAME.

## Member Function Documentation

void vl::FBOColorBufferAttachment::setType | ( | EColorBufferFormat | type ) | `[inline]`

The type to specify when allocating the renderbuffer storage.

Definition at line 201 of file FramebufferObject.hpp.

EColorBufferFormat vl::FBOColorBufferAttachment::type | ( | ) | const`[inline]`

The type to specify when allocating the renderbuffer storage.

Definition at line 204 of file FramebufferObject.hpp.

virtual int vl::FBOColorBufferAttachment::internalType | ( | ) | `[inline, protected, virtual]`

Implements vl::FBORenderbufferAttachment.

Definition at line 207 of file FramebufferObject.hpp.

## Member Data Documentation

EColorBufferFormat vl::FBOColorBufferAttachment::mType`[protected]`

Definition at line 210 of file FramebufferObject.hpp.

The documentation for this class was generated from the following file:

- D:/VL/BuildSystem/VL_DISTRO/Visualization_Library_SDK/src/vlGraphics/FramebufferObject.hpp

Visualization Library v2011.09.1162 Reference Documentation
Copyright 2005-2011 Michele Bosi. All rights reserved.
Updated on Thu Jan 26 2012 00:44:36.
Permission is granted to use this page to write and publish articles regarding Visualization Library.